EndpointsCoworlds

Set feed instructions

PUT/v2/feed-instructions/{hat}

Saves the caller's own instructions for one feed hat, replacing any it had.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

hat*Hat

Feed hat: sensei or roger.

Value in

  • "sensei"
  • "roger"

Request Body

application/json

text*Text

Instructions rendered into the hat's prompt, at most 2000 characters.

Length1 <= length <= 2000
curl -X PUT "https://softmax.com/api/observatory/v2/feed-instructions/sensei" \  -H "Content-Type: application/json" \  -d '{    "text": "string"  }'
{  "sensei": "string",  "roger": "string"}